
<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['align'=>'left']));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['align'=>'left']), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<?php

$textAlignClass=[
  'left'=>'text-left',
  'right'=>'text-right',
  'center'=>'text-center',

][$align] ?? 'text-left';

?>
<td class="p-2 <?php echo e($textAlignClass); ?>">
	<?php echo e($slot); ?>

</td><?php /**PATH C:\xampp\htdocs\taf-portal\taf-app\resources\views/components/table/td.blade.php ENDPATH**/ ?>